"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = run_spec;

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _babelCore = require("babel-core");

var babel = _interopRequireWildcard(_babelCore);

var _index = require("../index");

var _index2 = _interopRequireDefault(_index);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dirname = _path2.default.resolve(__dirname, "./__fixtures__");

function run_spec(name, options) {
  _fs2.default.readdirSync(dirname).forEach(function (filename) {
    var source = read(dirname + "/" + filename);
    var output = transform(filename, source, options);
    test(filename + "-transform: " + name, function () {
      expect(source + "~".repeat(80) + "\n" + output).toMatchSnapshot(filename);
    });
  });
}

function read(filename) {
  return _fs2.default.readFileSync(filename, "utf8");
}

function transform(filename, source) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var _babel$transform = babel.transform(source, {
    filename: filename,
    babelrc: false,
    // usage with stage-2 doesn't work, scope is set to constructor instead of arrow functions
    // presets: ["stage-2"],
    plugins: [[_index2.default, options]]
  }),
      code = _babel$transform.code;

  return code;
}